unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, Prnmod1;

type
  TMainForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    RAusrichtung: TRadioGroup;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}


procedure TMainForm.Button1Click(Sender: TObject);
var i,x,y,l: integer;
begin
prncom('printer;-1');
if MainForm.RAusrichtung.ItemIndex = 0 then
   prncom('hoch')
else
   prncom('quer');
prnCom('begin');
prncom('font;arial;k;10');
prnCom('lf;5');
for i:=0 to 10 do begin
    prnDraw('box',10,10+i*12,20,20+i*12);
end;
prnText(120,-20,'Betrag');
prncom('lf');
prncom('l;100;120');
prncom('lf');
prnBetr(120,-20,33.75);
prncom('lf');
prncom('font;;f');
prnBetr(120,-20,7199.80);
prncom('font');
prncom('lf');
prncom('l;100;120');
prncom('gorel;0;0.4');
prncom('l;100;120');
for i:=0 to 10 do begin
prngoxy(100,43+i);
prncom('l;100;120');
{prncom('gorel;0;1');}
end;
prnCom('draw;elipse;100;60;120;80');
prnCom('draw;box;100;60;120;80');
prnCom('draw;l;100;60;120;80');
prnCom('draw;l;120;60;100;80');
prnCom('ff');
prnCom('draw;box;100;40;150;70');
x:=102;
y:=42;
l:=32;
prngoxY(x,y);
prncom('font;Arial;k;10');
prntext(x,l,'Anrede');
prncom('lf');
prncom('TO;30;ohne Lngenbegrenzung');
prncom('lf');
prncom('T;30;30;mit Lngenbegrenzung');
prncom('lf;-1');
prntext(x,l,'Vorname Name');
prncom('lf');
prntext(x,l,'Strasse Nr.');
prncom('lf;2');
prncom('fontsize;14');
prntext(x,l,'PLZ');
prncom('font;;b');
prntext(getprn('textls;PLZ')+2+x,l-10,'Ort');
prncom('lf');
prntext(50,20,'links');
prncom('lf');
prntext(50,-20,'rechts');
prncom('lf');
prntext(50,0,'zentriert');
prncom('draw;b;30;60;70;90');
prncom('draw;l;50;60;50;90');
prncom('font;arial;;10');
prnCom('end');
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
if MainForm.RAusrichtung.ItemIndex = 0 then
   prncom('hoch')
else
   prncom('quer');
prnCom('begin');
prngoxy(0,50);
prncom('fontsize;24');
prnText(100,0,'XXXXXXXXXX');
prngoxy(0,60);
prnText(100,0,'IIIIIIIIII');
prngoxy(0,70);
prnText(100,0,'WWWWWWWWWW');
prncom('Fontsize;10');
{'Zeichne ein Haus'}
prnCom ('go;50;100');
prnCom ('lr;-40;0');
prnCom ('lr;20;-20');
prnCom ('lr;20;20');
prnCom ('lr;0;20');
prnCom ('lr;-40;0');
prnCom ('lr;0;-20');
prngoxy(0,105);
prntext(30,0,'Haus');
prnCom('end');
end;

{********************************************}
procedure TextLinie;
begin
prncom('line;20;180');
end;

procedure detailzeile;
var s: string;
begin
s:=inttostr(random(10000));
prnstr(20,30,s);
prnstr(40,50,'Artikel '+s);
prnBetr(180,-50,random(10000)/10);
prncom('lf;1');
end;

procedure Kopfzeile;
begin
prngoxy(0,10);
prncom('font;Arial;F;14');
Textlinie;
prncom('lf');
prnstr(20,100,'Artikelliste der Firma XY');
prnstr(180,-50,'Datum: '+datetostr(date));
prncom('lf');
Textlinie;
prncom('lf');
prncom('fontsize;10');
prnstr(20,30,'Artikel Nr.');
prnstr(40,50,'Bezeichnung');
prnstr(180,-50,'Preis');
prncom('font');       { Fettschrift zurcksetzten }
prncom('lf;2');
end;

procedure Schlusszeile;
begin
prnCom('bline;20;180;2');
prncom('lf');
prncom('fontsize;7');
prnstr(20,30,'Testseite/'+timetostr(time));
prnstr(180,-30,'Seite: '+inttostr(getprn('seite')));
end;

procedure printfile;
var i: integer;
begin
randomize;
prncom('printer;-1');
if MainForm.RAusrichtung.ItemIndex = 0 then
   prncom('hoch')
else
   prncom('quer');
prncom('Titel;Testdruck');
prnCom('begin');
prncom('rand;6;6;6;6');
Kopfzeile;
for i:=0 to 1000 do begin
    if getprn('zre')<=3 then begin
       Schlusszeile;
       prncom('ff');
       Kopfzeile;
    end;
    if getprn('abbruch')<>0 then break;
    detailzeile;

end; {for}
Schlusszeile;
prnCom('end');
end;



procedure TMainForm.Button3Click(Sender: TObject);
begin
printfile;
end;

procedure TMainForm.Button4Click(Sender: TObject);
begin
close;
end;

end.
