unit Prnmod1;

interface

{**** diese Funktionen rufen geleichnameg Fkt. mit '_' der Library auf}
function KalDatExec(s: pchar): Longint;
procedure setLibID(c: pchar; id: Longint);
function prnCom(s: String): longint;
function getprns(ins, outs: pchar): longint;
function getprn(ins: pchar): longint;
function prnText(x,l: smallint; s: pchar): longint;
procedure prnDraw(s: pchar; l,t,r,b:  integer);
procedure prngoXY(x,y: smallint);
procedure prnSep(s: pchar);
{******************}
function prnStr(x,l: smallint; s: string): longint;
procedure prnBetr(p, l: integer; d: double);
const Seperator: char = ';';

implementation

uses sysutils;
{$ifdef Win32}
function _KalDatExec(s: pchar): Longint; far; external 'SPZ1_32';
function _plausi(s: pchar; i: smallint): smallint; far; external 'SPZ1_32';
procedure _setLibID(c: pchar; id: Longint); far; external 'SPZ1_32';
function _textliste(t,d: pchar; i: smallint): smallint; far; external 'SPZ1_32';
procedure _AboutBox(Pbez,Pnr: pchar); far; external 'SPZ1_32';
procedure _ReadStrIni(Section, Ident, Default, inidatei: pchar); far; external 'SPZ1_32';
procedure _charchg(s: pchar;a, n: pchar); far; external 'SPZ1_32';
function _prnCom(s: pchar): longint; far; external 'SPZ1_32';
function _getprns(ins, outs: pchar): longint; far; external 'SPZ1_32';
function _getprn(ins: pchar): longint; far; external 'SPZ1_32';
function _prnText(x,l: smallint; s: pchar): longint; far; external 'SPZ1_32';
function _prnDraw(s: pchar; l, t, r, b: smallint): longint; far; external 'SPZ1_32';
procedure _prngoXY(x,y: smallint); far; external 'SPZ1_32';
procedure _prnSep(s: pchar); far; external 'SPZ1_32';
{$else}
function _KalDatExec(s: pchar): Longint; far; external 'SPZ1_16';
function _plausi(s: pchar; i: smallint): smallint; far; external 'SPZ1_16';
procedure _setLibID(c: pchar; id: Longint); far; external 'SPZ1_16';
function _textliste(t,d: pchar; i: smallint): smallint; far; external 'SPZ1_16';
procedure _AboutBox(Pbez,Pnr: pchar); far; external 'SPZ1_16';
procedure _ReadStrIni(Section, Ident, Default, inidatei: pchar); far; external 'SPZ1_16';
procedure _charchg(s: pchar;a, n: pchar); far; external 'SPZ1_16';
function _prnCom(s: pchar): longint; far; external 'SPZ1_16';
function _getprns(ins, outs: pchar): longint; far; external 'SPZ1_16';
function _getprn(ins: pchar): longint; far; external 'SPZ1_16';
function _prnText(x,l: smallint; s: pchar): longint; far; external 'SPZ1_16';
function _prnDraw(s: pchar; l, t, r, b: smallint): longint; far; external 'SPZ1_16';
procedure _prngoXY(x,y: smallint); far; external 'SPZ1_16';
procedure _prnSep(s: pchar); far; external 'SPZ1_16';
{$endif}

function KalDatExec(s: pchar): Longint;
begin
     result:=_KalDatExec(s);
end;

function plausi(s: pchar; i: smallint): smallint;
begin
end;

procedure setLibID(c: pchar; id: Longint);
begin
     _setLibID(c,id);
end;

function prnCom(s: String): longint;
var c: array[0..255] of char;
begin
     result:=_prnCom(strpcopy(c,s)); {Umwandlung und bergabe in pchar}
end;

function getprns(ins, outs: pchar): longint;
begin
     result:=_getprns(ins,outs);
end;

function getprn(ins: pchar): longint;
begin
     result:=_getprn(ins);
end;

function prnText(x,l: smallint; s: pchar): longint;
begin
     result:=_prnText(x,l,s);
end;

function prnStr(x,l: smallint; s: string): longint;
var c: array[0..255] of char;
begin
     result:=_prnText(x,l,strpcopy(c,s));
end;

procedure prnBetr(p, l: integer; d: double);
var c: array[0..255] of char;
begin
     _prnText(p,l,strpcopy(c,FormatFloat('#,##0.00',d)));
end;
procedure prnDraw(s: pchar; l,t,r,b:  integer);
begin
     _prnDraw(s,l,t,r,b);
end;

procedure prngoXY(x,y: smallint);
begin
     _prngoxy(x,y);
end;

procedure prnSep(s: pchar);
begin
     _prnSep(s);
     Seperator:=s[0];
end;

end.
